.calendar {
    display: flex;
    flex-flow: column;
}
.calendar .header{
   width: 100%;
}
.calendar .header i{
    width: 10%;
    float: left;
    margin-top: 15px;
    padding-left: 20px;
    font-size: 30px;
    cursor: pointer;
    pointer-events:all;
 }
.calendar .header .month-year {
    font-size: 20px;
    font-weight: bold;
    color: #636e73;
    padding: 15px 0;
    text-align: center;
    width: 80%;
    float: left;
}
.calendar .days {
    display: flex;
    flex-flow: wrap;
}
.calendar .days .day_name {
    width: calc(100% / 7);
    border-right: 1px solid #324e6a;
    padding: 10px;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: bold;
    color: #818589;
    text-align: center;
    color: #fff;
    background-color: #1d5b9b;
}
.calendar .days .day_name:nth-child(7) {
    border: none;
}
.calendar .days .day_num {
    display: flex;
    width: calc(100% / 7);
    border: none;
    border-right: 1px solid #e6e9ea;
    border-bottom: 1px solid #e6e9ea;
    font-weight: bold;
    color: #7c878d;
    padding: 0;
    cursor: pointer;
    background-color: #fff;
    min-height: 70px;
    position: relative;
    text-align: center;
}
.calendar .days .day_num span {
    display: inline-flex;
    width: 0;
    font-size: 14px;
    position: relative;
    text-align: center;
    padding: 10px;
}
.calendar .days .day_num .event {
    font-weight: 500;
    font-size: 12px;
    border-radius: revert;
    /* background-color: #f7c30d; */
    color: #000;
    width: 100%;
    position: absolute;
    height: 100%;
    padding: 5px;
}
.calendar .days .day_num .event.green {
    background-color: #51ce57;
}
.calendar .days .day_num .event.blue {
    background-color: #518fce;
}
.calendar .days .day_num .event.red {
    background-color: #ce5151;
}
.calendar .days .day_num:nth-child(7n+1) {
    border-left: 1px solid #e6e9ea;
}
.calendar .days .day_num:hover {
    background-color: #fdfdfd;
}
.calendar .days .day_num.ignore {
    background-color: #f5f5f5;
    color: #909a9f;
    cursor: inherit;
    position: relative;
    padding: 0;
}
.calendar .days .day_num.selected {
    /* background-color: #15badb; */
    cursor: inherit;
    color: red;
    font-weight: bold;
}
.calendar .days .day_num.selected span {
    font-size: 18px !important;
}